from enigma import eTimer
from Components.Label import Label
from Screen import Screen

class PVRState(Screen):
	def __init__(self, session):
		Screen.__init__(self, session)
		self["state"] = Label(text="")
		
		self.hideTimer = eTimer()
		self.hideTimer.timeout.get().append(self.hide)
		
		self.onShow.append(self.startHideTimer)

	def startHideTimer(self):
		self.hideTimer.start(3000, 1)

class TimeshiftState(PVRState):
	def __init__(self, session):
		PVRState.__init__(self, session)
